<?
class load_module
{
	function load_module() {}

	function init() {
		global $X;


		switch($_GET['module']) {
			case '':
				require_once('classes/system/main_page.php');
				$$CLS=new $CLS();
				return $$CLS->init();
			break;


			case 'change_password':
				require_once('classes/system/change_password.php');
				$$CLS=new $CLS();
				return $$CLS->init();
			break;


			case 'logout':
				unset($_SESSION['backend']);
				$X->URL->go('./');
			break;


			default:
				$X->SHORTCUT='<a href="#" onclick="shortcut_add(this); return false;" class="create_shortcut"><span>Dodaj skrót</span><span class="suf"> do tego widoku</span></a>';

				$module=$X->DB->fast(' SELECT * FROM _modules WHERE id="'.(int)$_GET['module'].'" ');
				if(empty($module['id'])) $error=1;
				if(empty($error) && empty($module['filename'])) $error=2;
				if(empty($error) && !file_exists('classes/'.$module['filename'])) $error=3;
				if($_SESSION['backend']['is_root']!=1) {
					if(empty($error) && $module['active']==0) $error=4;
					if(empty($error) && $_GET['module']!=$X->DB->fast(' SELECT module_id FROM _modules2users WHERE user_id="'.$_SESSION['backend']['user_id'].'" AND module_id="'.(int)$_GET['module'].'" ')) $error=5;
				}

				if(empty($error)) {
					require_once('classes/'.$module['filename']);
					$$CLS=new $CLS();
					return $$CLS->init();
				} else {
					switch($error) {
						case 1:	$error_text='Taki moduł nie istnieje!'; break;
						case 2:	$error_text='Nie zdefiniowano pliku modułu o <b>ID='.$_GET['module'].'</b> !'; break;
						case 3:	$error_text='Plik &nbsp;<b>'.$module['filename'].'</b>&nbsp; nie istnieje!'; break;
						case 4:	$error_text='Moduł nie jest aktywny!';	break;
						default:	$error_text='Nie posiadasz uprawnień do korzystania z tego modułu!';	break;
					}

					$X->NAVI[] = 'Wystąpił błąd';
					return $X->ADMIN->formbox('<div style="padding:30px 5px"><span class="ico b_warn"></span><span>&nbsp;&nbsp;&nbsp;'.$error_text.'</span></div>');
				}
			break;
		}
	}

}
$LOAD_MODULE=new load_module();
?>